diff --git a/web/pgadmin/tools/erd/static/js/erd_tool/nodes/TableNode.jsx b/web/pgadmin/tools/erd/static/js/erd_tool/nodes/TableNode.jsx
index be4e2c9a9..58f97f487 100644
--- a/web/pgadmin/tools/erd/static/js/erd_tool/nodes/TableNode.jsx
+++ b/web/pgadmin/tools/erd/static/js/erd_tool/nodes/TableNode.jsx
@@ -11,7 +11,6 @@ import React from 'react';
 import { DefaultNodeModel, DiagramEngine, PortWidget } from '@projectstorm/react-diagrams';
 import { AbstractReactFactory } from '@projectstorm/react-canvas-core';
 import _ from 'lodash';
-import { IconButton, DetailsToggleButton } from '../ui_components/ToolBar';
 import SchemaIcon from 'top/browser/server_groups/servers/databases/schemas/static/img/schema.svg';
 import TableIcon from 'top/browser/server_groups/servers/databases/schemas/tables/static/img/table.svg';
 import PrimaryKeyIcon from 'top/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/img/primary_key.svg';
@@ -20,6 +19,14 @@ import ColumnIcon from 'top/browser/server_groups/servers/databases/schemas/tabl
 import UniqueKeyIcon from 'top/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/img/unique_constraint.svg';
 import PropTypes from 'prop-types';
 import gettext from 'sources/gettext';
+import { PgIconButton } from '../../../../../../static/js/components/Buttons';
+import NoteRoundedIcon from '@material-ui/icons/NoteRounded';
+import VisibilityRoundedIcon from '@material-ui/icons/VisibilityRounded';
+import VisibilityOffRoundedIcon from '@material-ui/icons/VisibilityOffRounded';
+import { withStyles } from '@material-ui/styles';
+import clsx from 'clsx';
+import { Box } from '@material-ui/core';
+
 
 const TYPE = 'table';
 
@@ -132,7 +139,7 @@ export class TableNodeModel extends DefaultNodeModel {
 
 function RowIcon({icon}) {
   return (
-    <div className="table-icon">
+    <div style={{padding: '0rem 0.125rem'}}>
       <img src={icon} crossOrigin="anonymous"/>
     </div>
   );
@@ -142,8 +149,48 @@ RowIcon.propTypes = {
   icon: PropTypes.any.isRequired,
 };
 
+const styles = (theme)=>({
+  tableNode: {
+    backgroundColor: theme.palette.background.default,
+    ...theme.mixins.panelBorder.all,
+    borderRadius: theme.shape.borderRadius,
+    position: 'relative',
+    width: '175px',
+    fontSize: '0.8em',
+    '& div:last-child': {
+      borderBottomLeftRadius: 'inherit',
+      borderBottomRightRadius: 'inherit',
+    }
+  },
+  tableNodeSelected: {
+    borderColor: theme.palette.primary.main,
+  },
+  tableSection: {
+    ...theme.mixins.panelBorder.bottom,
+    padding: '0.125rem 0.25rem',
+    display: 'flex',
+  },
+  tableToolbar: {
+    background: theme.otherVars.editorToolbarBg,
+    borderTopLeftRadius: 'inherit',
+    borderTopRightRadius: 'inherit',
+  },
+  tableNameText: {
+    fontWeight: 'bold',
+    wordBreak: 'break-all',
+    margin: 'auto 0',
+  },
+  error: {
+    color: theme.palette.error.main,
+  },
+  noteBtn: {
+    marginLeft: 'auto',
+    backgroundColor: theme.palette.warning.main,
+    color: theme.palette.warning.contrastText,
+  }
+});
 
-export class TableNodeWidget extends React.Component {
+class TableNodeWidgetRaw extends React.Component {
   constructor(props) {
     super(props);
 
@@ -179,17 +226,21 @@ export class TableNodeWidget extends React.Component {
     if(col.attlen) {
       cltype += '('+ col.attlen + (col.attprecision ? ',' + col.attprecision : '') +')';
     }
+
+    const {classes} = this.props;
     return (
-      <div className='d-flex col-row' key={col.attnum}>
-        <div className='d-flex col-row-data'>
+      <div className={classes.tableSection} key={col.attnum} data-test="column-row">
+        <Box display="flex" width="100%" style={{wordBreak: 'break-all'}}>
           <RowIcon icon={icon} />
-          <div className="my-auto">
-            <span className='col-name'>{col.name}</span>&nbsp;
+          <Box margin="auto 0">
+            <span data-test="column-name">{col.name}</span>&nbsp;
             {this.state.show_details &&
-            <span className='col-datatype'>{cltype}</span>}
-          </div>
-        </div>
-        <div className="ml-auto col-row-port">{this.generatePort(port)}</div>
+            <span data-test="column-type">{cltype}</span>}
+          </Box>
+        </Box>
+        <Box marginLeft="auto" padding="0" minHeight="0" display="flex" alignItems="center">
+          {this.generatePort(port)}
+        </Box>
       </div>
     );
   }
@@ -219,44 +270,50 @@ export class TableNodeWidget extends React.Component {
     (tableData.unique_constraint||[]).forEach((uk)=>{
       localUkCols.push(...uk.columns.map((c)=>c.column));
     });
+    const {classes} = this.props;
     return (
-      <div className={'table-node ' + (this.props.node.isSelected() ? 'selected': '') } onDoubleClick={()=>{this.props.node.fireEvent({}, 'editTable');}}>
-        <div className="table-toolbar">
-          <DetailsToggleButton className='btn-xs' showDetails={this.state.show_details}
-            onClick={this.toggleShowDetails} onDoubleClick={(e)=>{e.stopPropagation();}}
-            disabled={tableMetaData.is_promise} />
+      <div className={clsx(classes.tableNode, (this.props.node.isSelected() ? classes.tableNodeSelected: ''))} onDoubleClick={()=>{this.props.node.fireEvent({}, 'editTable');}}>
+        <div className={clsx(classes.tableSection, classes.tableToolbar)}>
+          <PgIconButton size="xs" title={gettext('Show Details')} icon={this.state.show_details ? <VisibilityRoundedIcon /> : <VisibilityOffRoundedIcon />}
+            onClick={this.toggleShowDetails} onDoubleClick={(e)=>{e.stopPropagation();}} />
           {this.props.node.getNote() &&
-            <IconButton icon="far fa-sticky-note" className="btn-xs btn-warning ml-auto" onClick={()=>{
-              this.props.node.fireEvent({}, 'showNote');
-            }} title="Check note"/>}
+            <PgIconButton size="xs" className={classes.noteBtn}
+              title={gettext('Check Note')} icon={<NoteRoundedIcon />}
+              onClick={()=>{
+                this.props.node.fireEvent({}, 'showNote');
+              }}
+            />}
         </div>
         {tableMetaData.is_promise && <>
-          <div className="d-flex table-name-data">
-            {!tableMetaData.data_failed && <div className="table-name my-auto">{gettext('Fetching...')}</div>}
-            {tableMetaData.data_failed && <div className="table-name my-auto fetch-error">{gettext('Failed to get data. Please delete this table.')}</div>}
+          <div className={classes.tableSection}>
+            {!tableMetaData.data_failed && <div className={classes.tableNameText}>{gettext('Fetching...')}</div>}
+            {tableMetaData.data_failed && <div className={clsx(classes.tableNameText, classes.error)}>{gettext('Failed to get data. Please delete this table.')}</div>}
           </div>
         </>}
         {!tableMetaData.is_promise && <>
-          <div className="d-flex table-schema-data">
+          <div className={classes.tableSection}>
             <RowIcon icon={SchemaIcon}/>
-            <div className="table-schema my-auto">{tableData.schema}</div>
+            <div className={classes.tableNameText} data-test="schema-name">{tableData.schema}</div>
           </div>
-          <div className="d-flex table-name-data">
+          <div className={classes.tableSection}>
             <RowIcon icon={TableIcon} />
-            <div className="table-name my-auto">{tableData.name}</div>
+            <div className={classes.tableNameText} data-test="table-name">{tableData.name}</div>
           </div>
-          <div className="table-cols">
+          {tableData.columns.length > 0 && <div>
             {_.map(tableData.columns, (col)=>this.generateColumn(col, localFkCols, localUkCols))}
-          </div>
+          </div>}
         </>}
       </div>
     );
   }
 }
 
-TableNodeWidget.propTypes = {
+export const TableNodeWidget = withStyles(styles)(TableNodeWidgetRaw);
+
+TableNodeWidgetRaw.propTypes = {
   node: PropTypes.instanceOf(TableNodeModel),
   engine: PropTypes.instanceOf(DiagramEngine),
+  classes: PropTypes.object,
 };
 
 export class TableNodeFactory extends AbstractReactFactory {
diff --git a/web/pgadmin/tools/erd/static/js/index.js b/web/pgadmin/tools/erd/static/js/index.js
index 2d8f2c1e3..71616c6c5 100644
--- a/web/pgadmin/tools/erd/static/js/index.js
+++ b/web/pgadmin/tools/erd/static/js/index.js
@@ -6,18 +6,16 @@
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
-import gettext from 'sources/gettext';
-import url_for from 'sources/url_for';
-import $ from 'jquery';
-import _ from 'underscore';
 import pgAdmin from 'sources/pgadmin';
 import pgBrowser from 'top/browser/static/js/browser';
-import * as csrfToken from 'sources/csrf';
-import {initialize} from './erd_module';
-var wcDocker = window.wcDocker;
+import 'pgadmin.tools.file_manager';
+import ERDModule from './ERDModule';
 
-let pgBrowserOut = initialize(gettext, url_for, $, _, pgAdmin, csrfToken, pgBrowser, wcDocker);
+if(!pgAdmin.Tools) {
+  pgAdmin.Tools = {};
+}
+pgAdmin.Tools.ERD = ERDModule.getInstance(pgAdmin, pgBrowser);
 
 module.exports = {
-  pgBrowser: pgBrowserOut,
+  ERD: pgAdmin.Tools.ERD,
 };
diff --git a/web/pgadmin/tools/sqleditor/static/js/SQLEditorModule.js b/web/pgadmin/tools/sqleditor/static/js/SQLEditorModule.js
index 0edc39247..e2aa7b8ad 100644
--- a/web/pgadmin/tools/sqleditor/static/js/SQLEditorModule.js
+++ b/web/pgadmin/tools/sqleditor/static/js/SQLEditorModule.js
@@ -16,7 +16,6 @@ import $ from 'jquery';
 import url_for from 'sources/url_for';
 import _ from 'lodash';
 import alertify from 'pgadmin.alertifyjs';
-var wcDocker = window.wcDocker;
 import pgWindow from 'sources/window';
 import pgAdmin from 'sources/pgadmin';
 import pgBrowser from 'pgadmin.browser';
@@ -29,6 +28,7 @@ import QueryToolComponent from './components/QueryToolComponent';
 import ModalProvider from '../../../../static/js/helpers/ModalProvider';
 import Theme from '../../../../static/js/Theme';
 
+const wcDocker = window.wcDocker;
 
 export function setPanelTitle(queryToolPanel, panelTitle) {
   queryToolPanel.title('<span title="'+panelTitle+'">'+panelTitle+'</span>');
diff --git a/web/pgadmin/tools/sqleditor/static/js/components/sections/Query.jsx b/web/pgadmin/tools/sqleditor/static/js/components/sections/Query.jsx
index d246209bb..366384fc7 100644
--- a/web/pgadmin/tools/sqleditor/static/js/components/sections/Query.jsx
+++ b/web/pgadmin/tools/sqleditor/static/js/components/sections/Query.jsx
@@ -13,7 +13,7 @@ import CodeMirror from '../../../../../../static/js/components/CodeMirror';
 import {PANELS, QUERY_TOOL_EVENTS} from '../QueryToolConstants';
 import url_for from 'sources/url_for';
 import { LayoutEventsContext, LAYOUT_EVENTS } from '../../../../../../static/js/helpers/Layout';
-import ConfirmSaveContent from '../dialogs/ConfirmSaveContent';
+import ConfirmSaveContent from '../../../../../../static/js/Dialogs/ConfirmSaveContent';
 import gettext from 'sources/gettext';
 import OrigCodeMirror from 'bundled_codemirror';
 import Notifier from '../../../../../../static/js/helpers/Notifier';
diff --git a/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx b/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
index 54476d41a..84b046b14 100644
--- a/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
+++ b/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
@@ -25,7 +25,7 @@ import { QuerySources } from './QueryHistory';
 import { getBrowser } from '../../../../../../static/js/utils';
 import CopyData from '../QueryToolDataGrid/CopyData';
 import moment from 'moment';
-import ConfirmSaveContent from '../dialogs/ConfirmSaveContent';
+import ConfirmSaveContent from '../../../../../../static/js/Dialogs/ConfirmSaveContent';
 import { makeStyles } from '@material-ui/styles';
 import EmptyPanelMessage from '../../../../../../static/js/components/EmptyPanelMessage';
 import { GraphVisualiser } from './GraphVisualiser';
diff --git a/web/regression/javascript/erd/keyboard_shortcut_action_spec.js b/web/regression/javascript/erd/keyboard_shortcut_action_spec.js
index b504f37b0..993684f83 100644
--- a/web/regression/javascript/erd/keyboard_shortcut_action_spec.js
+++ b/web/regression/javascript/erd/keyboard_shortcut_action_spec.js
@@ -6,7 +6,7 @@
 // This software is released under the PostgreSQL Licence
 //
 //////////////////////////////////////////////////////////////
-import {KeyboardShortcutAction} from 'pgadmin.tools.erd/erd_tool/ui_components/BodyWidget';
+import {KeyboardShortcutAction} from 'pgadmin.tools.erd/erd_tool/components/ERDTool';
 
 describe('KeyboardShortcutAction', ()=>{
   let keyAction = null;
diff --git a/web/regression/javascript/erd/table_node_spec.js b/web/regression/javascript/erd/table_node.spec.js
similarity index 73%
rename from web/regression/javascript/erd/table_node_spec.js
rename to web/regression/javascript/erd/table_node.spec.js
index 04fa4c75c..e516d71e8 100644
--- a/web/regression/javascript/erd/table_node_spec.js
+++ b/web/regression/javascript/erd/table_node.spec.js
@@ -5,7 +5,7 @@ import '../helper/enzyme.helper';
 import { DefaultNodeModel } from '@projectstorm/react-diagrams';
 
 import {TableNodeModel, TableNodeWidget} from 'pgadmin.tools.erd/erd_tool/nodes/TableNode';
-import { IconButton, DetailsToggleButton } from 'pgadmin.tools.erd/erd_tool/ui_components/ToolBar';
+import Theme from '../../../pgadmin/static/js/Theme';
 
 
 describe('ERD TableNodeModel', ()=>{
@@ -211,63 +211,45 @@ describe('ERD TableNodeWidget', ()=>{
   });
 
   it('render', ()=>{
-    let nodeWidget = mount(<TableNodeWidget node={node}/>);
-    expect(nodeWidget.getDOMNode().className).toBe('table-node ');
-    expect(nodeWidget.find('.table-node .table-toolbar').length).toBe(1);
-    expect(nodeWidget.find('.table-node .table-schema').text()).toBe('erd');
-    expect(nodeWidget.find('.table-node .table-name').text()).toBe('table1');
-    expect(nodeWidget.find('.table-node .table-cols').length).toBe(1);
-    expect(nodeWidget.find(DetailsToggleButton).length).toBe(1);
-    expect(nodeWidget.find(IconButton).findWhere(n => n.prop('title')=='Check note').length).toBe(1);
-  });
-
-  it('node selected', ()=>{
-    spyOn(node, 'isSelected').and.returnValue(true);
-    let nodeWidget = mount(<TableNodeWidget node={node}/>);
-    expect(nodeWidget.getDOMNode().className).toBe('table-node selected');
+    let nodeWidget = mount(<Theme><TableNodeWidget node={node}/></Theme>);
+    expect(nodeWidget.find('DefaultButton[aria-label="Show Details"]').length).toBe(1);
+    expect(nodeWidget.find('DefaultButton[aria-label="Check Note"]').length).toBe(1);
+    expect(nodeWidget.find('div[data-test="schema-name"]').length).toBe(1);
+    expect(nodeWidget.find('div[data-test="table-name"]').length).toBe(1);
+    expect(nodeWidget.find('div[data-test="column-row"]').length).toBe(3);
   });
 
   it('remove note', ()=>{
     node.setNote('');
-    let nodeWidget = mount(<TableNodeWidget node={node}/>);
-    expect(nodeWidget.find(IconButton).findWhere(n => n.prop('title')=='Check note').length).toBe(0);
+    let nodeWidget = mount(<Theme><TableNodeWidget node={node}/></Theme>);
+    expect(nodeWidget.find('PgIconButton[aria-label="Check Note"]').length).toBe(0);
   });
 
   describe('generateColumn', ()=>{
     let nodeWidget = null;
 
     beforeEach(()=>{
-      nodeWidget = mount(<TableNodeWidget node={node}/>);
+      nodeWidget = mount(<Theme><TableNodeWidget node={node}/></Theme>);
     });
 
     it('count', ()=>{
-      expect(nodeWidget.find('.table-node .table-cols .col-row').length).toBe(3);
+      expect(nodeWidget.find('div[data-test="column-row"]').length).toBe(3);
     });
 
     it('column names', ()=>{
-      let cols = nodeWidget.find('.table-node .table-cols .col-row-data');
-      expect(cols.at(0).find('.col-name').text()).toBe('id');
-      expect(cols.at(1).find('.col-name').text()).toBe('amount');
-      expect(cols.at(2).find('.col-name').text()).toBe('desc');
-    });
+      let cols = nodeWidget.find('div[data-test="column-row"]');
 
-    it('data types', ()=>{
-      let cols = nodeWidget.find('.table-node .table-cols .col-row-data');
-      expect(cols.at(0).find('.col-datatype').text()).toBe('integer');
-      expect(cols.at(1).find('.col-datatype').text()).toBe('number(10,5)');
-      expect(cols.at(2).find('.col-datatype').text()).toBe('character varrying(50)');
+      expect(cols.at(0).find('span[data-test="column-name"]').text()).toBe('id');
+      expect(cols.at(1).find('span[data-test="column-name"]').text()).toBe('amount');
+      expect(cols.at(2).find('span[data-test="column-name"]').text()).toBe('desc');
     });
 
-    it('show_details', (done)=>{
-      nodeWidget.setState({show_details: false});
-      expect(nodeWidget.find('.table-node .table-cols .col-row-data .col-datatype').length).toBe(0);
+    it('data types', ()=>{
+      let cols = nodeWidget.find('div[data-test="column-row"]');
 
-      nodeWidget.instance().toggleShowDetails(jasmine.createSpyObj('event', ['preventDefault']));
-      /* Dummy set state to wait for toggleShowDetails -> setState to complete */
-      nodeWidget.setState({}, ()=>{
-        expect(nodeWidget.find('.table-node .table-cols .col-row-data .col-datatype').length).toBe(3);
-        done();
-      });
+      expect(cols.at(0).find('span[data-test="column-type"]').text()).toBe('integer');
+      expect(cols.at(1).find('span[data-test="column-type"]').text()).toBe('number(10,5)');
+      expect(cols.at(2).find('span[data-test="column-type"]').text()).toBe('character varrying(50)');
     });
   });
 });
diff --git a/web/regression/javascript/erd/ui_components/ConnectionBar.spec.js b/web/regression/javascript/erd/ui_components/ConnectionBar.spec.js
new file mode 100644
index 000000000..92985e4dd
--- /dev/null
+++ b/web/regression/javascript/erd/ui_components/ConnectionBar.spec.js
@@ -0,0 +1,32 @@
+import jasmineEnzyme from 'jasmine-enzyme';
+import React from 'react';
+import {mount} from 'enzyme';
+import '../../helper/enzyme.helper';
+
+import ConnectionBar, {STATUS} from 'pgadmin.tools.erd/erd_tool/components/ConnectionBar';
+import Theme from '../../../../pgadmin/static/js/Theme';
+
+describe('ERD ConnectionBar', ()=>{
+  beforeEach(()=>{
+    jasmineEnzyme();
+  });
+
+  it('<ConnectionBar /> comp', ()=>{
+    const connBar = mount(<Theme><ConnectionBar status={STATUS.DISCONNECTED} title="test title"/></Theme>);
+
+    expect(connBar.find('DefaultButton[data-test="btn-conn-title"]').text()).toBe('test title');
+
+    connBar.setProps({
+      children: <ConnectionBar status={STATUS.CONNECTING} title="test title"/>
+    });
+    expect(connBar.find('DefaultButton[data-test="btn-conn-title"]').text()).toBe('(Obtaining connection...) test title');
+
+    connBar.setProps({
+      children: <ConnectionBar status={STATUS.CONNECTING} title="test title" bgcolor='#000' fgcolor='#fff'/>
+    });
+    const titleEle = connBar.find('DefaultButton[data-test="btn-conn-title"]');
+
+    expect(titleEle.prop('style').backgroundColor).toBe('#000');
+    expect(titleEle.prop('style').color).toBe('#fff');
+  });
+});
diff --git a/web/regression/javascript/erd/ui_components/body_widget_spec.js b/web/regression/javascript/erd/ui_components/ERDTool.spec.js
similarity index 86%
rename from web/regression/javascript/erd/ui_components/body_widget_spec.js
rename to web/regression/javascript/erd/ui_components/ERDTool.spec.js
index 04f9fa13c..c65131113 100644
--- a/web/regression/javascript/erd/ui_components/body_widget_spec.js
+++ b/web/regression/javascript/erd/ui_components/ERDTool.spec.js
@@ -1,4 +1,3 @@
-import jasmineEnzyme from 'jasmine-enzyme';
 import React from 'react';
 import {mount} from 'enzyme';
 import '../../helper/enzyme.helper';
@@ -6,12 +5,14 @@ import MockAdapter from 'axios-mock-adapter';
 import axios from 'axios/index';
 
 import ERDCore from 'pgadmin.tools.erd/erd_tool/ERDCore';
-import * as erdModule from 'pgadmin.tools.erd/erd_module';
+import * as erdModule from 'pgadmin.tools.erd/ERDModule';
 import erdPref from './erd_preferences';
-import BodyWidget from 'pgadmin.tools.erd/erd_tool/ui_components/BodyWidget';
+import ERDTool from 'pgadmin.tools.erd/erd_tool/components/ERDTool';
 import * as ERDSqlTool from 'tools/sqleditor/static/js/show_query_tool';
 import { FakeLink, FakeNode, FakePort } from '../fake_item';
 import Notify from '../../../../pgadmin/static/js/helpers/Notifier';
+import Theme from '../../../../pgadmin/static/js/Theme';
+import ModalProvider from '../../../../pgadmin/static/js/helpers/ModalProvider';
 
 
 let pgAdmin = {
@@ -50,18 +51,9 @@ let pgWindow = {
   pgAdmin: pgAdmin,
 };
 
-let alertify = jasmine.createSpyObj('alertify', {
-  'success': null,
-  'error': null,
-  'confirm': null,
-  'alert': {
-    'set': ()=>{/*This is intentional (SonarQube)*/},
-  },
-});
-
-let tableDialog = jasmine.createSpyObj('TableDialog', ['show']);
-let otmDialog = jasmine.createSpyObj('otmDialog', ['show']);
-let mtmDialog = jasmine.createSpyObj('mtmDialog', ['show']);
+let tableDialog = jasmine.createSpy('TableDialog');
+let otmDialog = jasmine.createSpy('otmDialog');
+let mtmDialog = jasmine.createSpy('mtmDialog');
 
 let getDialog = (dialogName)=>{
   switch(dialogName) {
@@ -71,7 +63,8 @@ let getDialog = (dialogName)=>{
   }
 };
 
-describe('ERD BodyWidget', ()=>{
+describe('ERDTool', ()=>{
+  let erd = null;
   let body = null;
   let bodyInstance = null;
   let networkMock = null;
@@ -129,36 +122,34 @@ describe('ERD BodyWidget', ()=>{
   });
 
   beforeEach(()=>{
-    jasmineEnzyme();
-    body = mount(<BodyWidget params={params} pgAdmin={pgAdmin} pgWindow={pgWindow} getDialog={getDialog} alertify={alertify}/>);
+    erd = mount(
+      <Theme>
+        <ModalProvider>
+          <ERDTool params={params} pgAdmin={pgAdmin} pgWindow={pgWindow} />
+        </ModalProvider>
+      </Theme>
+    );
+    body = erd.find('ERDTool');
     bodyInstance = body.instance();
+    spyOn(bodyInstance, 'getDialog').and.callFake(getDialog);
   });
 
   afterAll(() => {
     networkMock.restore();
-    if(body) {
-      body.unmount();
+    if(erd) {
+      erd.unmount();
     }
   });
 
   it('constructor', (done)=>{
-
-    expect(body.find('ToolBar').length).toBe(1);
-    expect(body.find('ConnectionBar').length).toBe(1);
-    expect(body.find('FloatingNote').length).toBe(1);
-    expect(body.find('.diagram-container Loader').length).toBe(1);
-    expect(body.find('.diagram-container CanvasWidget').length).toBe(1);
-
-    body.instance().setState({}, ()=>{
-      let instance = body.instance();
-
+    bodyInstance.setState({}, ()=>{
       setTimeout(()=>{
         expect(body.state()).toEqual(jasmine.objectContaining({
           server_version: serverVersion,
           preferences: erdPref,
         }));
-        expect(instance.diagram.getCache('colTypes')).toEqual(colTypes);
-        expect(instance.diagram.getCache('schemas')).toEqual(schemas);
+        expect(bodyInstance.diagram.getCache('colTypes')).toEqual(colTypes);
+        expect(bodyInstance.diagram.getCache('schemas')).toEqual(schemas);
         done();
       });
     });
@@ -237,17 +228,6 @@ describe('ERD BodyWidget', ()=>{
     });
   });
 
-  it('getDialog', ()=>{
-    bodyInstance.getDialog('table_dialog')();
-    expect(tableDialog.show).toHaveBeenCalled();
-
-    bodyInstance.getDialog('onetomany_dialog')();
-    expect(otmDialog.show).toHaveBeenCalled();
-
-    bodyInstance.getDialog('manytomany_dialog')();
-    expect(mtmDialog.show).toHaveBeenCalled();
-  });
-
   it('addEditTable', ()=>{
     let node1 = new FakeNode({'name': 'table1', schema: 'erd1', columns: [{name: 'col1', type: 'type1', attnum: 1}]}, 'id1');
     let node2 = new FakeNode({'name': 'table2', schema: 'erd2', columns: [{name: 'col2', type: 'type2', attnum: 2}]}, 'id2');
@@ -261,23 +241,23 @@ describe('ERD BodyWidget', ()=>{
     spyOn(bodyInstance.diagram, 'addLink');
     spyOn(bodyInstance.diagram, 'syncTableLinks');
     /* New */
-    tableDialog.show.calls.reset();
+    tableDialog.calls.reset();
     bodyInstance.addEditTable();
-    expect(tableDialog.show).toHaveBeenCalled();
+    expect(tableDialog).toHaveBeenCalled();
 
-    let saveCallback = tableDialog.show.calls.mostRecent().args[7];
+    let saveCallback = tableDialog.calls.mostRecent().args[3];
     let newData = {key: 'value'};
     saveCallback(newData);
     expect(bodyInstance.diagram.addNode).toHaveBeenCalledWith(newData);
 
     /* Existing */
-    tableDialog.show.calls.reset();
+    tableDialog.calls.reset();
     let node = new FakeNode({name: 'table1', schema: 'erd1'});
     spyOn(node, 'setData');
     bodyInstance.addEditTable(node);
-    expect(tableDialog.show).toHaveBeenCalled();
+    expect(tableDialog).toHaveBeenCalled();
 
-    saveCallback = tableDialog.show.calls.mostRecent().args[7];
+    saveCallback = tableDialog.calls.mostRecent().args[3];
     newData = {key: 'value'};
     saveCallback(newData);
     expect(node.setData).toHaveBeenCalledWith(newData);
@@ -435,11 +415,8 @@ describe('ERD BodyWidget', ()=>{
     spyOn(bodyInstance.diagram, 'addLink');
     spyOn(bodyInstance.diagram, 'getSelectedNodes').and.returnValue([node]);
 
-    otmDialog.show.calls.reset();
     bodyInstance.onOneToManyClick();
-    expect(otmDialog.show).toHaveBeenCalled();
-
-    let saveCallback = otmDialog.show.calls.mostRecent().args[4];
+    let saveCallback = otmDialog.calls.mostRecent().args[2];
     let newData = {
       local_table_uid: 'id1',
       local_column_attnum: 1,
@@ -452,13 +429,6 @@ describe('ERD BodyWidget', ()=>{
 
   it('onManyToManyClick', ()=>{
     let node = new FakeNode({}, 'id1');
-    spyOn(bodyInstance.diagram, 'getSelectedNodes').and.returnValue([node]);
-
-    mtmDialog.show.calls.reset();
-    bodyInstance.onManyToManyClick();
-    expect(mtmDialog.show).toHaveBeenCalled();
-
-    /* onSave */
     let node1 = new FakeNode({'name': 'table1', schema: 'erd1', columns: [{name: 'col1', type: 'type1', attnum: 1}]}, 'id1');
     let node2 = new FakeNode({'name': 'table2', schema: 'erd2', columns: [{name: 'col2', type: 'type2', attnum: 2}]}, 'id2');
     let nodesDict = {
@@ -469,8 +439,13 @@ describe('ERD BodyWidget', ()=>{
     spyOn(bodyInstance.diagram, 'getModel').and.returnValue({
       'getNodesDict': ()=>nodesDict,
     });
+    spyOn(bodyInstance.diagram, 'getSelectedNodes').and.returnValue([node]);
+
+    bodyInstance.onManyToManyClick();
+
+    /* onSave */
     spyOn(bodyInstance.diagram, 'addLink');
-    let saveCallback = mtmDialog.show.calls.mostRecent().args[4];
+    let saveCallback = mtmDialog.calls.mostRecent().args[2];
     let newData = {
       left_table_uid: 'id1',
       left_table_column_attnum: 1,
diff --git a/web/regression/javascript/erd/ui_components/floating_note_spec.js b/web/regression/javascript/erd/ui_components/FloatingNote.spec.js
similarity index 68%
rename from web/regression/javascript/erd/ui_components/floating_note_spec.js
rename to web/regression/javascript/erd/ui_components/FloatingNote.spec.js
index f786267bf..3af8f2fba 100644
--- a/web/regression/javascript/erd/ui_components/floating_note_spec.js
+++ b/web/regression/javascript/erd/ui_components/FloatingNote.spec.js
@@ -3,7 +3,8 @@ import React from 'react';
 import {mount} from 'enzyme';
 import '../../helper/enzyme.helper';
 
-import FloatingNote from 'pgadmin.tools.erd/erd_tool/ui_components/FloatingNote';
+import FloatingNote from 'pgadmin.tools.erd/erd_tool/components/FloatingNote';
+import Theme from '../../../../pgadmin/static/js/Theme';
 
 describe('ERD FloatingNote', ()=>{
 
@@ -24,15 +25,20 @@ describe('ERD FloatingNote', ()=>{
       },
     };
 
-    floatNote = mount(<FloatingNote open={false} onClose={onClose}
-      reference={null} noteNode={noteNode} appendTo={document.body} rows={8}/>);
+    floatNote = mount(
+      <Theme>
+        <FloatingNote
+          open={true} onClose={onClose} anchorEl={document.body} rows={8} noteNode={noteNode}
+        />
+      </Theme>);
 
     floatNote.find('textarea').simulate('change', {
       target: {
         value: 'the new note',
       },
     });
-    floatNote.find('button[data-label="OK"]').simulate('click');
+
+    floatNote.find('DefaultButton').simulate('click');
     expect(noteNode.setNote).toHaveBeenCalledWith('the new note');
     expect(onClose).toHaveBeenCalled();
   });
diff --git a/web/regression/javascript/jasmine_capture_warnings_beforeall.js b/web/regression/javascript/jasmine_capture_warnings_beforeall.js
index 2eab2d9ac..2088b6529 100644
--- a/web/regression/javascript/jasmine_capture_warnings_beforeall.js
+++ b/web/regression/javascript/jasmine_capture_warnings_beforeall.js
@@ -13,6 +13,13 @@ beforeAll(function () {
   spyOn(console, 'warn').and.callThrough();
   spyOn(console, 'error').and.callThrough();
   jasmine.getEnv().allowRespy(true);
+
+  window.addEventListener('error', e => {
+    if(e.message === 'ResizeObserver loop completed with undelivered notifications.' ||
+        e.message === 'ResizeObserver loop limit exceeded') {
+      e.stopImmediatePropagation();
+    }
+  });
 });
 
 afterEach(function (done) {
diff --git a/web/webpack.config.js b/web/webpack.config.js
index 5c2e590a8..266a7b2c6 100644
--- a/web/webpack.config.js
+++ b/web/webpack.config.js
@@ -379,7 +379,7 @@ module.exports = [{
     slickgrid: sourceDir + '/bundle/slickgrid.js',
     sqleditor: './pgadmin/tools/sqleditor/static/js/index.js',
     schema_diff: './pgadmin/tools/schema_diff/static/js/schema_diff_hook.js',
-    erd_tool: './pgadmin/tools/erd/static/js/erd_tool_hook.js',
+    erd_tool: './pgadmin/tools/erd/static/js/index.js',
     psql_tool: './pgadmin/tools/psql/static/js/index.js',
     debugger: './pgadmin/tools/debugger/static/js/index.js',
     'pgadmin.style': pgadminCssStyles,
@@ -546,7 +546,7 @@ module.exports = [{
             'pure|pgadmin.tools.schema_diff',
             'pure|pgadmin.tools.file_manager',
             'pure|pgadmin.tools.search_objects',
-            'pure|pgadmin.tools.erd_module',
+            'pure|pgadmin.tools.erd',
             'pure|pgadmin.tools.psql_module',
             'pure|pgadmin.tools.sqleditor',
             'pure|pgadmin.misc.cloud',
diff --git a/web/webpack.shim.js b/web/webpack.shim.js
index 1e641339d..a9d334d44 100644
--- a/web/webpack.shim.js
+++ b/web/webpack.shim.js
@@ -281,7 +281,6 @@ var webpackShimConfig = {
     'pgadmin.tools.schema_diff': path.join(__dirname, './pgadmin/tools/schema_diff/static/js/schema_diff'),
     'pgadmin.tools.schema_diff_ui': path.join(__dirname, './pgadmin/tools/schema_diff/static/js/schema_diff_ui'),
     'pgadmin.tools.search_objects': path.join(__dirname, './pgadmin/tools/search_objects/static/js'),
-    'pgadmin.tools.erd_module': path.join(__dirname, './pgadmin/tools/erd/static/js/erd_module'),
     'pgadmin.tools.erd': path.join(__dirname, './pgadmin/tools/erd/static/js'),
     'pgadmin.tools.psql_module': path.join(__dirname, './pgadmin/tools/psql/static/js/psql_module'),
     'pgadmin.tools.psql': path.join(__dirname, './pgadmin/tools/psql/static/js'),
